
CREATE TABLE DATASET ( 
	DS_ID NUMBER(18) NOT NULL,
	NAME VARCHAR2(255),
	QUERY CLOB,
	ORDER_BY_CLAUSE CLOB,
	CONNECTION_ID NUMBER(18),
	DESCRIPTION VARCHAR2(1024),
	XML_QUERY CLOB,
	USER_ID NUMBER(18),
	EDITOR_TYPE VARCHAR2(250)
)
;

ALTER TABLE DATASET ADD CONSTRAINT PK_DATASET 
	PRIMARY KEY (DS_ID)
;
